#!/bin/sh
echo 'name: Agda
version: 2.3.2
id: Agda-2.3.2-1d23479274ace3fae0839c64e35a803c

license: OtherLicense
copyright:
maintainer: Ulf Norell <ulfn@chalmers.se>
stability:
homepage: http://wiki.portal.chalmers.se/agda/
package-url:
synopsis: A dependently typed functional programming language and proof assistant
description: Agda is a dependently typed functional programming language: It has
             inductive families, which are similar to Haskell'\''s GADTs, but they
             can be indexed by values and not just types. It also has
             parameterised modules, mixfix operators, Unicode characters, and an
             interactive Emacs interface (the type checker can assist in the
             development of your code).
             .
             Agda is also a proof assistant: It is an interactive system for
             writing and checking proofs. Agda is based on intuitionistic type
             theory, a foundational system for constructive mathematics developed
             by the Swedish logician Per Martin-L&#xf6;f. It has many
             similarities with other proof assistants based on dependent types,
             such as Coq, Epigram and NuPRL.
             .
             This package includes both a command-line program (agda) and an
             Emacs mode. If you want to use the Emacs mode you can set it up by
             running @agda-mode setup@ (see the README).
             .
             Note that the Agda library does not follow the package versioning
             policy, because it is not intended to be used by third-party
             packages.
category: Dependent types
author: Ulf Norell, Nils Anders Danielsson, Andreas Abel, Makoto Takeyama, Catarina Coquand, with contributions by Stevan Andjelkovic, Marcin Benke, Jean-Philippe Bernardy, James Chapman, Dominique Devriese, Peter Divanski, Fredrik Nordvall Forsberg, Olle Frediksson, Daniel Gustafsson, Alan Jeffrey, Fredrik Lindblad, Guilhem Moulin, Nicolas Pouillard, Andrés Sicard-Ramírez and many more.
exposed: True
exposed-modules: Agda.Main Agda.ImpossibleTest
                 Agda.Interaction.BasicOps Agda.Interaction.GhcTop
                 Agda.Interaction.InteractionTop Agda.Compiler.CallCompiler
                 Agda.Compiler.HaskellTypes Agda.Compiler.Epic.AuxAST
                 Agda.Compiler.Epic.CaseOpts Agda.Compiler.Epic.Compiler
                 Agda.Compiler.Epic.CompileState Agda.Compiler.Epic.Epic
                 Agda.Compiler.Epic.Erasure Agda.Compiler.Epic.ForceConstrs
                 Agda.Compiler.Epic.Forcing Agda.Compiler.Epic.FromAgda
                 Agda.Compiler.Epic.Injection Agda.Compiler.Epic.Interface
                 Agda.Compiler.Epic.NatDetection Agda.Compiler.Epic.Primitive
                 Agda.Compiler.Epic.Smashing Agda.Compiler.Epic.Static
                 Agda.Compiler.JS.Case Agda.Compiler.JS.Compiler
                 Agda.Compiler.JS.Syntax Agda.Compiler.JS.Substitution
                 Agda.Compiler.JS.Parser Agda.Compiler.JS.Pretty
                 Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode
                 Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty
                 Agda.Compiler.MAlonzo.Primitives Agda.Packaging.Config
                 Agda.Packaging.Database Agda.Packaging.Monad Agda.Packaging.Types
                 Agda.Interaction.CommandLine.CommandLine
                 Agda.Interaction.EmacsCommand Agda.Interaction.Exceptions
                 Agda.Interaction.FindFile Agda.Interaction.Highlighting.Dot
                 Agda.Interaction.Highlighting.Emacs
                 Agda.Interaction.Highlighting.Generate
                 Agda.Interaction.Highlighting.HTML
                 Agda.Interaction.Highlighting.Precise
                 Agda.Interaction.Highlighting.Range
                 Agda.Interaction.Highlighting.Vim
                 Agda.Interaction.Highlighting.LaTeX Agda.Interaction.Imports
                 Agda.Interaction.Response Agda.Interaction.MakeCase
                 Agda.Interaction.Monad Agda.Interaction.Options
                 Agda.Syntax.Abstract.Copatterns Agda.Syntax.Abstract.Name
                 Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views
                 Agda.Syntax.Abstract Agda.Syntax.Common
                 Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name
                 Agda.Syntax.Concrete.Operators.Parser
                 Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty
                 Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info
                 Agda.Syntax.Internal Agda.Syntax.Internal.Generic
                 Agda.Syntax.Internal.Pattern Agda.Syntax.Literal
                 Agda.Syntax.Notation Agda.Syntax.Parser.Alex
                 Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout
                 Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer
                 Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad
                 Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals
                 Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position
                 Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad
                 Agda.Syntax.Translation.AbstractToConcrete
                 Agda.Syntax.Translation.ConcreteToAbstract
                 Agda.Syntax.Translation.InternalToAbstract
                 Agda.Termination.CallGraph Agda.Termination.Lexicographic
                 Agda.Termination.Matrix Agda.Termination.SparseMatrix
                 Agda.Termination.Semiring Agda.Termination.TermCheck
                 Agda.Termination.Termination Agda.Tests Agda.TypeChecker
                 Agda.TypeChecking.Abstract Agda.TypeChecking.CompiledClause
                 Agda.TypeChecking.CompiledClause.Compile
                 Agda.TypeChecking.CompiledClause.Match
                 Agda.TypeChecking.Constraints Agda.TypeChecking.Conversion
                 Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match
                 Agda.TypeChecking.Coverage.SplitTree Agda.TypeChecking.Datatypes
                 Agda.TypeChecking.DisplayForm Agda.TypeChecking.DropArgs
                 Agda.TypeChecking.Eliminators Agda.TypeChecking.Empty
                 Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors
                 Agda.TypeChecking.Free Agda.TypeChecking.Forcing
                 Agda.TypeChecking.Implicit Agda.TypeChecking.Injectivity
                 Agda.TypeChecking.InstanceArguments Agda.TypeChecking.Irrelevance
                 Agda.TypeChecking.Level Agda.TypeChecking.LevelConstraints
                 Agda.TypeChecking.MetaVars Agda.TypeChecking.MetaVars.Mention
                 Agda.TypeChecking.MetaVars.Occurs Agda.TypeChecking.Monad.Base
                 Agda.TypeChecking.Monad.Builtin Agda.TypeChecking.Monad.Closure
                 Agda.TypeChecking.Monad.Constraints Agda.TypeChecking.Monad.Context
                 Agda.TypeChecking.Monad.Debug Agda.TypeChecking.Monad.Env
                 Agda.TypeChecking.Monad.Exception Agda.TypeChecking.Monad.Imports
                 Agda.TypeChecking.Monad.MetaVars Agda.TypeChecking.Monad.Mutual
                 Agda.TypeChecking.Monad.Open Agda.TypeChecking.Monad.Options
                 Agda.TypeChecking.Monad.Sharing Agda.TypeChecking.Monad.Signature
                 Agda.TypeChecking.Monad.SizedTypes Agda.TypeChecking.Monad.State
                 Agda.TypeChecking.Monad.Statistics Agda.TypeChecking.Monad.Trace
                 Agda.TypeChecking.Monad Agda.TypeChecking.Patterns.Match
                 Agda.TypeChecking.Polarity Agda.TypeChecking.Positivity
                 Agda.TypeChecking.Pretty Agda.TypeChecking.Primitive
                 Agda.TypeChecking.ProjectionLike Agda.TypeChecking.Quote
                 Agda.TypeChecking.Rebind Agda.TypeChecking.RecordPatterns
                 Agda.TypeChecking.Records Agda.TypeChecking.Reduce
                 Agda.TypeChecking.Rules.Builtin
                 Agda.TypeChecking.Rules.Builtin.Coinduction
                 Agda.TypeChecking.Rules.Data Agda.TypeChecking.Rules.Decl
                 Agda.TypeChecking.Rules.Def Agda.TypeChecking.Rules.LHS
                 Agda.TypeChecking.Rules.LHS.Implicit
                 Agda.TypeChecking.Rules.LHS.Instantiate
                 Agda.TypeChecking.Rules.LHS.Problem
                 Agda.TypeChecking.Rules.LHS.ProblemRest
                 Agda.TypeChecking.Rules.LHS.Split Agda.TypeChecking.Rules.LHS.Unify
                 Agda.TypeChecking.Rules.Record Agda.TypeChecking.Rules.Term
                 Agda.TypeChecking.Serialise Agda.TypeChecking.SizedTypes
                 Agda.TypeChecking.Substitute Agda.TypeChecking.Telescope
                 Agda.TypeChecking.Test.Generators Agda.TypeChecking.Tests
                 Agda.TypeChecking.UniversePolymorphism Agda.TypeChecking.With
                 Agda.Utils.VarSet Agda.Utils.Char Agda.Utils.Either
                 Agda.Utils.FileName Agda.Utils.Fresh Agda.Utils.Function
                 Agda.Utils.Geniplate Agda.Utils.Graph Agda.Utils.Hash
                 Agda.Utils.HashMap Agda.Utils.Impossible Agda.Utils.IO.Binary
                 Agda.Utils.IO.UTF8 Agda.Utils.List Agda.Utils.Map Agda.Utils.Maybe
                 Agda.Utils.Monad Agda.Utils.Permutation Agda.Utils.Pointer
                 Agda.Utils.Pointed Agda.Utils.Pretty Agda.Utils.QuickCheck
                 Agda.Utils.ReadP Agda.Utils.SemiRing Agda.Utils.Size
                 Agda.Utils.String Agda.Utils.Suffix Agda.Utils.TestHelpers
                 Agda.Utils.Time Agda.Utils.Trie Agda.Utils.Tuple Agda.Utils.Unicode
                 Agda.Utils.Warshall Agda.Version Agda.Auto.Auto Agda.Auto.Convert
                 Agda.Auto.Typecheck Agda.Auto.NarrowingSearch Agda.Auto.Syntax
                 Agda.Auto.SearchControl Agda.Auto.CaseSplit
hidden-modules: Paths_Agda
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/Agda-2.3.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/Agda-2.3.2
              /usr/local/lib
hs-libraries: HSAgda-2.3.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.6-511882f763c318ea9c4092253b2bb3d2
         array-0.4.0.1-6380782b62ead58fec616aa07dc0e15c
         base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         binary-0.5.1.1-892d005288e00f169454c4023d29559e
         bytestring-0.10.0.2-eecc198ed81abb69aaded5c195068445
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
         deepseq-1.3.0.1-aa1be128186a233c7290faf88620ffe5
         directory-1.2.0.1-993cd73de8286c92ca288a1093da3273
         filepath-1.3.0.1-edbc3d8247914b04f448e9261e7fe895
         geniplate-0.6.0.3-bfd737e522f73fbb09b57c4e0e5f2b36
         hashable-1.1.2.5-93ac9e8f4902e70447854e208345383a
         hashtables-1.1.0.2-7806bb3f60f6f01b59b2b3a514e3bd4c
         haskeline-0.7.0.3-87dd736f8755aed3c3f55deb94cf2790
         haskell-src-exts-1.13.5-69d98c31529e23e88265b9fd36d2ed7d
         mtl-2.1.2-735d9c92b4f214d454fb5168bb1eb6ee
         parallel-3.2.0.3-e820b19f5a9c77af99f9f74ca067f604
         pretty-1.1.1.0-2de27f83b2c1c65d629a564e9e01b27d
         process-1.1.0.2-a830d25f0e9fb9c610aa641b7f5b20f9
         text-0.11.3.1-e3fd09aac6fbf908855282746125e0ed
         time-1.4.0.1-11ddabfbdd9e1882a9135b100d37881b
         unordered-containers-0.2.3.1-2ea5bcb5e4ac7f1608cee1deab4d4e38
         xhtml-3000.2.1-af6a06eb7670f259bd6b9f77f9bdc6c3
         zlib-0.5.4.1-f8b2bb965704e7ec5caa162d83990faa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/Agda-2.3.2/html/Agda.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/Agda-2.3.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
